---
description: Docker extension API reference
keywords: Docker, extensions, sdk, API, reference
skip_read_time: true
---

# Interface: RequestConfig

**`Since`**

0.2.0

## Properties

### url

• `Readonly` **url**: `string`

___

### method

• `Readonly` **method**: `string`

___

### headers

• `Readonly` **headers**: `Record`<`string`, `string`\>

___

### data

• `Readonly` **data**: `any`
